total_iters: 1
output_dir: output_dir
checkpoints_dir: checkpoints

model:
  name: PhotoPenModel
  generator:
    name: SPADEGenerator
    ngf: 24
    num_upsampling_layers: normal
    crop_size: 256
    aspect_ratio: 1.0
    norm_G: spectralspadebatch3x3
    semantic_nc: 14
    use_vae: False
    nef: 16
  discriminator:
    name: MultiscaleDiscriminator
    ndf: 128
    num_D: 4
    crop_size: 256
    label_nc: 12
    output_nc: 3
    contain_dontcare_label: True
    no_instance: False
    n_layers_D: 6
  criterion:
    name: PhotoPenPerceptualLoss
    crop_size: 224
    lambda_vgg: 1.6
  label_nc: 12
  contain_dontcare_label: True
  batchSize: 1
  crop_size: 256
  lambda_feat: 10.0

dataset:
  train:
    name: PhotoPenDataset
    content_root: test/coco_stuff
    load_size: 286
    crop_size: 256
    num_workers: 0
    batch_size: 1
  test:
    name: PhotoPenDataset_test
    content_root: test/coco_stuff
    load_size: 286
    crop_size: 256
    num_workers: 0
    batch_size: 1

lr_scheduler: # abundoned
  name: LinearDecay
  learning_rate: 0.0001
  start_epoch: 99999
  decay_epochs: 99999
  # will get from real dataset
  iters_per_epoch: 1

optimizer:
  lr: 0.0001
  optimG:
    name: Adam
    net_names:
      - net_gen
    beta1: 0.9
    beta2: 0.999
  optimD:
    name: Adam
    net_names:
      - net_des
    beta1: 0.9
    beta2: 0.999

log_config:
  interval: 1
  visiual_interval: 1

snapshot_config:
  interval: 1

predict:
  name: SPADEGenerator
  ngf: 24
  num_upsampling_layers: normal
  crop_size: 256
  aspect_ratio: 1.0
  norm_G: spectralspadebatch3x3
  semantic_nc: 14
  use_vae: False
  nef: 16
  contain_dontcare_label: True
  label_nc: 12
  batchSize: 1
 